<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: fontset.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>fontset.c File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2">mfontset</a> (char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return a fontset.  <a href="group__m17nFontset.html#ga24016779ca68b4e494e0948a23abe5c2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619">mfontset_name</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the name of a fontset.  <a href="group__m17nFontset.html#gaba7c57d1f743707d7229bf2877de3619"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3">mfontset_copy</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Make a copy of a fontset.  <a href="group__m17nFontset.html#ga91fcf191cd137b2a8b3172ca0a7fa2a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2">mfontset_modify_entry</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> layouter_name, int how)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Modify the contents of a fontset.  <a href="group__m17nFontset.html#ga51d2984c48e258573c6c97a6b562e8b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69">mfontset_lookup</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lookup a fontset.  <a href="group__m17nFontset.html#gaa18800b40d14683b9266150f836a9a69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648">mdebug_dump_fontset</a> (<a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, int indent)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump a fontset.  <a href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
